
# Class: ModifyItemsCommand

A command that changes properties of design elements in the editor.
A command that changes properties of design elements in the editor.

```
{
  "type": "design-editor",
  "name": "editor",
  "params": {
    "initial": { ... },
    "modifyItems": {
      "items": {
        "Name": {
          "value": "Neo"
        },
        "Company": {
          "value": "Matrix"
        }
      }
    }
  }
}
```

For details, you can refer to the [ICanvasDefinitionModifyItems](../interfaces/icanvasdefinitionmodifyitems.md).
```
{
  "type": "canvas",
  "name": "editor",
  "params": {
    "initial": { ... },
    "modifyItems": {
      "items": {
        "Name": {
          "value": "Neo"
        },
        "Company": {
          "value": "Matrix"
        }
      }
    }
  }
}
```

## Hierarchy

* [DesignEditorWidgetCommand](designeditorwidgetcommand.md)

* [CanvasWidgetCommand](canvaswidgetcommand.md)

  ↳ **ModifyItemsCommand**

## Index

### Methods

* [execute](modifyitemscommand.md#execute)

## Methods

###  execute

▸ **execute**(`params`: [IDesignEditorDefinitionModifyItems](../interfaces/idesigneditordefinitionmodifyitems.md), `oldParams`: [IDesignEditorDefinitionModifyItems](../interfaces/idesigneditordefinitionmodifyitems.md)): *Promise‹any›*

*Overrides [DesignEditorWidgetCommand](designeditorwidgetcommand.md).[execute](designeditorwidgetcommand.md#abstract-execute)*

Executes this command.

**Parameters:**

Name | Type | Description |
------ | ------ | ------ |
`params` | [IDesignEditorDefinitionModifyItems](../interfaces/idesigneditordefinitionmodifyitems.md) | Parameters for the command. |
`oldParams` | [IDesignEditorDefinitionModifyItems](../interfaces/idesigneditordefinitionmodifyitems.md) | The previous parameters for the command.  |

**Returns:** *Promise‹any›*
